Log statement logged twice

Bug #1572844 reported by Abhishek Kekane on 2016-04-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-cinderclient
Undecided
Unassigned

Bug Description

If user uses HTTPClient instead of SessionClient then with --debug flag every debug log is logged twice.

Steps to reproduce:

1. Ensure HTTPClient will be initialized when using cinder command from command prompt.
2. Hit cinder list command with --debug flag

E.g.
cinder --debug list

Output:

REQ: curl -i http://172.31.21.78:5000/v2.0/tokens -X POST-H 'Content-Type: application/json'-H 'Accept: application/json'-H 'User-Agent: python-cinderclient' -d '{"auth": {"tenantName": "admin", "passwordCredentials": {"username": "admin", "password": "***"}}}'

DEBUG:cinderclient.client:
REQ: curl -i http://172.31.21.78:5000/v2.0/tokens -X POST-H 'Content-Type: application/json'-H 'Accept: application/json'-H 'User-Agent: python-cinderclient' -d '{"auth": {"tenantName": "admin", "passwordCredentials": {"username": "admin", "password": "***"}}}'

RESP: [200] {'Content-Length': '2805', 'Vary': 'X-Auth-Token', 'Keep-Alive': 'timeout=5, max=100', 'Server': 'Apache/2.4.7 (Ubuntu)', 'Connection': 'Keep-Alive', 'Date': 'Thu, 21 Apr 2016 05:57:25 GMT', 'Content-Type': 'application/json', 'x-openstack-request-id': 'req-a9206db4-ab16-47f6-9c1c-cf0d9907dde8'}
RESP BODY: {"access": {"token": {"issued_at": "2016-04-21T05:57:25.806768Z", "expires": "2016-04-21T06:57:25Z", "id": "440abd94bd3a402ea35ec1e3216c45bd", "tenant": {"description": "Bootstrap project for initializing the cloud.", "enabled": true, "id": "ebb78c2dea2d4e81920abb460345a11e", "name": "admin"}, "audit_ids": ["ZsyYSLIwR-KqFiVzeSEfDA"]}, "serviceCatalog": [{"endpoints": [{"adminURL": "http://172.31.21.78:8774/v2.1", "region": "RegionOne", "internalURL": "http://172.31.21.78:8774/v2.1", "id": "a17d22aebb58451facc13ef078692f4a", "publicURL": "http://172.31.21.78:8774/v2.1"}], "endpoints_links": [], "type": "compute", "name": "nova"}, {"endpoints": [{"adminURL": "http://172.31.21.78:9696/", "region": "RegionOne", "internalURL": "http://172.31.21.78:9696/", "id": "2223e30dbf044c1e967b10ff2dd5d40f", "publicURL": "http://172.31.21.78:9696/"}], "endpoints_links": [], "type": "network", "name": "neutron"}, {"endpoints": [{"adminURL": "http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e", "region": "RegionOne", "internalURL": "http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e", "id": "0d59353b55f04e08a95e47376276d9a5", "publicURL": "http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e"}], "endpoints_links": [], "type": "volumev2", "name": "cinderv2"}, {"endpoints": [{"adminURL": "http://172.31.21.78:9292", "region": "RegionOne", "internalURL": "http://172.31.21.78:9292", "id": "8ce33400e06041448f84d4fb9010e9b8", "publicURL": "http://172.31.21.78:9292"}], "endpoints_links": [], "type": "image", "name": "glance"}, {"endpoints": [{"adminURL": "http://172.31.21.78:8774/v2/ebb78c2dea2d4e81920abb460345a11e", "region": "RegionOne", "internalURL": "http://172.31.21.78:8774/v2/ebb78c2dea2d4e81920abb460345a11e", "id": "6335e0bf1b6f44909e6bc097c1ce2bf0", "publicURL": "http://172.31.21.78:8774/v2/ebb78c2dea2d4e81920abb460345a11e"}], "endpoints_links": [], "type": "compute_legacy", "name": "nova_legacy"}, {"endpoints": [{"adminURL": "http://172.31.21.78:8776/v1/ebb78c2dea2d4e81920abb460345a11e", "region": "RegionOne", "internalURL": "http://172.31.21.78:8776/v1/ebb78c2dea2d4e81920abb460345a11e", "id": "010be27ffd9041e58c2a75b785527d9d", "publicURL": "http://172.31.21.78:8776/v1/ebb78c2dea2d4e81920abb460345a11e"}], "endpoints_links": [], "type": "volume", "name": "cinder"}, {"endpoints": [{"adminURL": "http://172.31.21.78:35357", "region": "RegionOne", "internalURL": "http://172.31.21.78:5000", "id": "5f9904088ffa4d2ab950fd9ea2f5568b", "publicURL": "http://172.31.21.78:5000"}], "endpoints_links": [], "type": "identity", "name": "keystone"}], "user": {"username": "admin", "roles_links": [], "id": "caf7be7b99cf45aeb7809ce961837659", "roles": [{"name": "admin"}], "name": "admin"}, "metadata": {"is_admin": 0, "roles": ["09ae8fec1abf4d9c8c5b0bd4758411a4"]}}}

DEBUG:cinderclient.client:RESP: [200] {'Content-Length': '2805', 'Vary': 'X-Auth-Token', 'Keep-Alive': 'timeout=5, max=100', 'Server': 'Apache/2.4.7 (Ubuntu)', 'Connection': 'Keep-Alive', 'Date': 'Thu, 21 Apr 2016 05:57:25 GMT', 'Content-Type': 'application/json', 'x-openstack-request-id': 'req-a9206db4-ab16-47f6-9c1c-cf0d9907dde8'}
RESP BODY: {"access": {"token": {"issued_at": "2016-04-21T05:57:25.806768Z", "expires": "2016-04-21T06:57:25Z", "id": "440abd94bd3a402ea35ec1e3216c45bd", "tenant": {"description": "Bootstrap project for initializing the cloud.", "enabled": true, "id": "ebb78c2dea2d4e81920abb460345a11e", "name": "admin"}, "audit_ids": ["ZsyYSLIwR-KqFiVzeSEfDA"]}, "serviceCatalog": [{"endpoints": [{"adminURL": "http://172.31.21.78:8774/v2.1", "region": "RegionOne", "internalURL": "http://172.31.21.78:8774/v2.1", "id": "a17d22aebb58451facc13ef078692f4a", "publicURL": "http://172.31.21.78:8774/v2.1"}], "endpoints_links": [], "type": "compute", "name": "nova"}, {"endpoints": [{"adminURL": "http://172.31.21.78:9696/", "region": "RegionOne", "internalURL": "http://172.31.21.78:9696/", "id": "2223e30dbf044c1e967b10ff2dd5d40f", "publicURL": "http://172.31.21.78:9696/"}], "endpoints_links": [], "type": "network", "name": "neutron"}, {"endpoints": [{"adminURL": "http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e", "region": "RegionOne", "internalURL": "http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e", "id": "0d59353b55f04e08a95e47376276d9a5", "publicURL": "http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e"}], "endpoints_links": [], "type": "volumev2", "name": "cinderv2"}, {"endpoints": [{"adminURL": "http://172.31.21.78:9292", "region": "RegionOne", "internalURL": "http://172.31.21.78:9292", "id": "8ce33400e06041448f84d4fb9010e9b8", "publicURL": "http://172.31.21.78:9292"}], "endpoints_links": [], "type": "image", "name": "glance"}, {"endpoints": [{"adminURL": "http://172.31.21.78:8774/v2/ebb78c2dea2d4e81920abb460345a11e", "region": "RegionOne", "internalURL": "http://172.31.21.78:8774/v2/ebb78c2dea2d4e81920abb460345a11e", "id": "6335e0bf1b6f44909e6bc097c1ce2bf0", "publicURL": "http://172.31.21.78:8774/v2/ebb78c2dea2d4e81920abb460345a11e"}], "endpoints_links": [], "type": "compute_legacy", "name": "nova_legacy"}, {"endpoints": [{"adminURL": "http://172.31.21.78:8776/v1/ebb78c2dea2d4e81920abb460345a11e", "region": "RegionOne", "internalURL": "http://172.31.21.78:8776/v1/ebb78c2dea2d4e81920abb460345a11e", "id": "010be27ffd9041e58c2a75b785527d9d", "publicURL": "http://172.31.21.78:8776/v1/ebb78c2dea2d4e81920abb460345a11e"}], "endpoints_links": [], "type": "volume", "name": "cinder"}, {"endpoints": [{"adminURL": "http://172.31.21.78:35357", "region": "RegionOne", "internalURL": "http://172.31.21.78:5000", "id": "5f9904088ffa4d2ab950fd9ea2f5568b", "publicURL": "http://172.31.21.78:5000"}], "endpoints_links": [], "type": "identity", "name": "keystone"}], "user": {"username": "admin", "roles_links": [], "id": "caf7be7b99cf45aeb7809ce961837659", "roles": [{"name": "admin"}], "name": "admin"}, "metadata": {"is_admin": 0, "roles": ["09ae8fec1abf4d9c8c5b0bd4758411a4"]}}}

REQ: curl -i http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e/volumes/detail -X GET-H 'X-Auth-Project-Id: admin'-H 'User-Agent: python-cinderclient'-H 'Accept: application/json'-H 'X-Auth-Token: {SHA1}15e2f758dbdab55242242674c99308f5abb2e5e5'

DEBUG:cinderclient.client:
REQ: curl -i http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e/volumes/detail -X GET-H 'X-Auth-Project-Id: admin'-H 'User-Agent: python-cinderclient'-H 'Accept: application/json'-H 'X-Auth-Token: {SHA1}15e2f758dbdab55242242674c99308f5abb2e5e5'

RESP: [200] {'Content-Length': '1760', 'X-Compute-Request-Id': 'req-6800713d-fe3c-442d-a112-fed59d42e345', 'Connection': 'keep-alive', 'Date': 'Thu, 21 Apr 2016 05:57:26 GMT', 'Content-Type': 'application/json', 'X-Openstack-Request-Id': 'req-6800713d-fe3c-442d-a112-fed59d42e345'}
RESP BODY: {"volumes": [{"migration_status": null, "attachments": [{"server_id": "933da99a-b770-40c6-bae4-55eb73163e2b", "attachment_id": "d50ab443-246b-4c42-8fab-392f5c99f199", "attached_at": "2016-04-15T08:43:40.000000", "host_name": null, "volume_id": "48160134-98f3-47f5-a52d-48b6d3d27d19", "device": "/dev/vdb", "id": "48160134-98f3-47f5-a52d-48b6d3d27d19"}], "links": [{"href": "http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e/volumes/48160134-98f3-47f5-a52d-48b6d3d27d19", "rel": "self"}, {"href": "http://172.31.21.78:8776/ebb78c2dea2d4e81920abb460345a11e/volumes/48160134-98f3-47f5-a52d-48b6d3d27d19", "rel": "bookmark"}], "availability_zone": "nova", "os-vol-host-attr:host": "ip-172-31-21-78@lvmdriver-1#lvmdriver-1", "encrypted": false, "updated_at": "2016-04-15T08:43:41.000000", "replication_status": "disabled", "snapshot_id": null, "id": "48160134-98f3-47f5-a52d-48b6d3d27d19", "size": 1, "user_id": "caf7be7b99cf45aeb7809ce961837659", "os-vol-tenant-attr:tenant_id": "ebb78c2dea2d4e81920abb460345a11e", "os-vol-mig-status-attr:migstat": null, "metadata": {"readonly": "False", "attached_mode": "rw"}, "status": "in-use", "volume_image_metadata": {"kernel_id": "042e9c63-e4bc-4500-87c0-f31b0e5651c2", "checksum": "eb9139e4942121f22bbc2afc0400b2a4", "min_ram": "0", "ramdisk_id": "4d04adf7-e792-49c0-af14-194e3c6adda9", "disk_format": "ami", "image_name": "cirros-0.3.4-x86_64-uec", "image_id": "d563889b-7976-4e83-985d-e11c7647741d", "container_format": "ami", "min_disk": "0", "size": "25165824"}, "description": null, "multiattach": false, "source_volid": null, "consistencygroup_id": null, "os-vol-mig-status-attr:name_id": null, "name": null, "bootable": "true", "created_at": "2016-04-14T04:41:45.000000", "volume_type": "lvmdriver-1"}]}

DEBUG:cinderclient.client:RESP: [200] {'Content-Length': '1760', 'X-Compute-Request-Id': 'req-6800713d-fe3c-442d-a112-fed59d42e345', 'Connection': 'keep-alive', 'Date': 'Thu, 21 Apr 2016 05:57:26 GMT', 'Content-Type': 'application/json', 'X-Openstack-Request-Id': 'req-6800713d-fe3c-442d-a112-fed59d42e345'}
RESP BODY: {"volumes": [{"migration_staus": null, "attachments": [{"server_id": "933da99a-b770-40c6-bae4-55eb73163e2b", "attachment_id": "d50ab443-246b-4c42-8fab-392f5c99f199", "attached_at": "2016-04-15T08:43:40.000000", "host_name": null, "volume_id": "48160134-98f3-47f5-a52d-48b6d3d27d19", "device": "/dev/vdb", "id": "48160134-98f3-47f5-a52d-48b6d3d27d19"}], "links": [{"href": "http://172.31.21.78:8776/v2/ebb78c2dea2d4e81920abb460345a11e/volumes/48160134-98f3-47f5-a52d-48b6d3d27d19", "rel": "self"}, {"href": "http://172.31.21.78:8776/ebb78c2dea2d4e81920abb460345a11e/volumes/48160134-98f3-47f5-a52d-48b6d3d27d19", "rel": "bookmark"}], "availability_zone": "nova", "os-vol-host-attr:host": "ip-172-31-21-78@lvmdriver-1#lvmdriver-1", "encrypted": false, "updated_at": "2016-04-15T08:43:41.000000", "replication_status": "disabled", "snapshot_id": null, "id": "48160134-98f3-47f5-a52d-48b6d3d27d19", "size": 1, "user_id": "caf7be7b99cf45aeb7809ce961837659", "os-vol-tenant-attr:tenant_id": "ebb78c2dea2d4e81920abb460345a11e", "os-vol-mig-status-attr:migstat": null, "metadata": {"readonly": "False", "attached_mode": "rw"}, "status": "in-use", "volume_image_metadata": {"kernel_id": "042e9c63-e4bc-4500-87c0-f31b0e5651c2", "checksum": "eb9139e4942121f22bbc2afc0400b2a4", "min_ram": "0", "ramdisk_id": "4d04adf7-e792-49c0-af14-194e3c6adda9", "disk_format": "ami", "image_name": "cirros-0.3.4-x86_64-uec", "image_id": "d563889b-7976-4e83-985d-e11c7647741d", "container_format": "ami", "min_disk": "0", "size": "25165824"}, "description": null, "multiattach": false, "source_volid": null, "consistencygroup_id": null, "os-vol-mig-status-attr:name_id": null, "name": null, "bootable": "true", "created_at": "2016-04-14T04:41:45.000000", "volume_type": "lvmdriver-1"}]}

This behavior is also reproducible in case of SessionClient if --os-volume-api-version is passed as 1.

Steps to reproduce:

1. Run below cinder command on command prompt
    $ cinder --os-volume-api-version 1 list

Output:

Version 1 is deprecated, use alternative version 2 instead.
WARNING:cinderclient.api_versions:Version 1 is deprecated, use alternative version 2 instead.

+--------------------------------------+--------+--------------+------+-------------+----------+--------------------------------------+
| ID | Status | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+--------+--------------+------+-------------+----------+--------------------------------------+
| 48160134-98f3-47f5-a52d-48b6d3d27d19 | in-use | - | 1 | lvmdriver-1 | true | 933da99a-b770-40c6-bae4-55eb73163e2b |
+--------------------------------------+--------+--------------+------+-------------+----------+--------------------------------------+

Changed in python-cinderclient:
assignee: nobody → Abhishek Kekane (abhishek-kekane)
summary: - Log statement logged twice if HTTPClient is used
+ Log statement logged twice
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/309276

Changed in python-cinderclient:
status: New → In Progress

Change abandoned by Sean McGinnis (<email address hidden>) on branch: master
Review: https://review.openstack.org/309276
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

Unassigning due to no activity for > 6 months.

Changed in python-cinderclient:
assignee: Abhishek Kekane (abhishek-kekane) → nobody
status: In Progress → Triaged
Changed in python-cinderclient:
assignee: nobody → Rajat Dhasmana (whoami-rajat)
Changed in python-cinderclient:
assignee: Rajat Dhasmana (whoami-rajat) → nobody
status: Triaged → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers